JspTag (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
[Java] Interface JspTag

    public interface JspTag

An interface that represents a JSP tag that can be invoked by Grails

Method Summary
`void` | `doTag(java.io.Writer targetWriter, java.util.Map attributes)` Main method to invoke a tag library and output to the target write
`void` | `doTag(java.io.Writer targetWriter, java.util.Map attributes, groovy.lang.Closure body)` Invokes a tag with a closure representing the body of the tag
`boolean` | `isBodyTag()` @return Return true if the tag class implements the BodyTag interface
`boolean` | `isIterationTag()` @return Return true if the tag class implements the IterationTag interface
`boolean` | `isTryCatchFinallyTag()` @return Return true if the tag class implements the TryCatchFinally interface

Method Detail

### doTag

    @java.lang.SuppressWarnings("rawtypes")
    public void doTag(java.io.Writer targetWriter, java.util.Map attributes)

  Main method to invoke a tag library and output to the target write
  Parameters:
    `targetWriter` - The writer the tag should write to
    `attributes` - The tag attributes

### doTag

    @java.lang.SuppressWarnings("rawtypes")
    public void doTag(java.io.Writer targetWriter, java.util.Map attributes, groovy.lang.Closure body)

  Invokes a tag with a closure representing the body of the tag
  Parameters:
    `targetWriter` - The target writer to write to
    `attributes` - The tag attributes
    `body` - The body of the tag

### isBodyTag

    public boolean isBodyTag()

  Returns:
    Return true if the tag class implements the BodyTag interface

### isIterationTag

    public boolean isIterationTag()

  Returns:
    Return true if the tag class implements the IterationTag interface

### isTryCatchFinallyTag

    public boolean isTryCatchFinallyTag()

  Returns:
    Return true if the tag class implements the TryCatchFinally interface

Groovy Documentation